package acationbar.example;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = true;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "acationbar.example", "acationbar.example.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "acationbar.example", "acationbar.example.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "acationbar.example.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
		this.setIntent(intent);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public static int _currentpage = 0;
public anywheresoftware.b4a.objects.StdActionBar _bar = null;
public anywheresoftware.b4a.objects.StdActionBar.StdViewPager _vp = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnlhome = null;
public anywheresoftware.b4a.objects.ListViewWrapper _listafunzionalita = null;

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}
public static String  _activity_create(boolean _firsttime) throws Exception{
int _height = 0;
 //BA.debugLineNum = 26;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 28;BA.debugLine="Activity.Title = \"CRM Mobile 3.0\"";
mostCurrent._activity.setTitle((Object)("CRM Mobile 3.0"));
 //BA.debugLineNum = 30;BA.debugLine="Dim height As Int = CalculateHeight(True, True)";
_height = _calculateheight(anywheresoftware.b4a.keywords.Common.True,anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 32;BA.debugLine="CreateHomePage";
_createhomepage();
 //BA.debugLineNum = 33;BA.debugLine="Return";
if (true) return "";
 //BA.debugLineNum = 37;BA.debugLine="ListaFunzionalita.Initialize(\"\")											' Initializes pnlPage1";
mostCurrent._listafunzionalita.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 39;BA.debugLine="Activity.AddView(ListaFunzionalita,0,0,100%x,height)	' Adds pnlPage1";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._listafunzionalita.getObject()),(int) (0),(int) (0),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),_height);
 //BA.debugLineNum = 40;BA.debugLine="ListaFunzionalita.Visible=True";
mostCurrent._listafunzionalita.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 42;BA.debugLine="ListaFunzionalita.AddTwoLinesAndBitmap(\"Clienti\", \"Lista Clienti\", LoadBitmap(File.DirAssets, \"clienti.png\"))";
mostCurrent._listafunzionalita.AddTwoLinesAndBitmap("Clienti","Lista Clienti",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"clienti.png").getObject()));
 //BA.debugLineNum = 43;BA.debugLine="ListaFunzionalita.AddTwoLinesAndBitmap(\"Statistiche visite\", \"Statistiche\", LoadBitmap(File.DirAssets, \"statistiche_visite.png\"))";
mostCurrent._listafunzionalita.AddTwoLinesAndBitmap("Statistiche visite","Statistiche",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"statistiche_visite.png").getObject()));
 //BA.debugLineNum = 44;BA.debugLine="ListaFunzionalita.AddTwoLinesAndBitmap(\"Budget\", \"Budget\", LoadBitmap(File.DirAssets, \"budget.png\"))";
mostCurrent._listafunzionalita.AddTwoLinesAndBitmap("Budget","Budget",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"budget.png").getObject()));
 //BA.debugLineNum = 45;BA.debugLine="ListaFunzionalita.AddTwoLinesAndBitmap(\"Statistiche\", \"Statistiche\", LoadBitmap(File.DirAssets, \"statistiche.png\"))";
mostCurrent._listafunzionalita.AddTwoLinesAndBitmap("Statistiche","Statistiche",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"statistiche.png").getObject()));
 //BA.debugLineNum = 46;BA.debugLine="ListaFunzionalita.AddTwoLinesAndBitmap(\"Scadenziario\", \"Scadenziario\", LoadBitmap(File.DirAssets, \"scadenziario.png\"))";
mostCurrent._listafunzionalita.AddTwoLinesAndBitmap("Scadenziario","Scadenziario",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"scadenziario.png").getObject()));
 //BA.debugLineNum = 49;BA.debugLine="bar.Initialize(\"bar\")";
mostCurrent._bar.Initialize("bar",mostCurrent.activityBA);
 //BA.debugLineNum = 50;BA.debugLine="bar.Icon 			= LoadBitmap(File.DirAssets, \"meta_piccolo.png\")";
mostCurrent._bar.setIcon((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"meta_piccolo.png").getObject()));
 //BA.debugLineNum = 51;BA.debugLine="bar.NavigationMode 	= bar.NAVIGATION_MODE_TABS";
mostCurrent._bar.setNavigationMode(mostCurrent._bar.NAVIGATION_MODE_TABS);
 //BA.debugLineNum = 56;BA.debugLine="bar.Subtitle = \"         for Android\"";
mostCurrent._bar.setSubtitle((java.lang.CharSequence)("         for Android"));
 //BA.debugLineNum = 61;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 150;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 151;BA.debugLine="currentPage = bar.SelectedIndex";
_currentpage = mostCurrent._bar.getSelectedIndex();
 //BA.debugLineNum = 152;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 146;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 148;BA.debugLine="End Sub";
return "";
}
public static String  _bar_buttonclicked() throws Exception{
 //BA.debugLineNum = 63;BA.debugLine="Sub bar_ButtonClicked";
 //BA.debugLineNum = 66;BA.debugLine="bar.ShowUpIndicator = False";
mostCurrent._bar.setShowUpIndicator(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 67;BA.debugLine="Activity.RemoveAllViews";
mostCurrent._activity.RemoveAllViews();
 //BA.debugLineNum = 69;BA.debugLine="bar.RemoveTabs";
mostCurrent._bar.RemoveTabs();
 //BA.debugLineNum = 70;BA.debugLine="vp.Panels(0).RemoveAllViews";
mostCurrent._vp.Panels[(int) (0)].RemoveAllViews();
 //BA.debugLineNum = 72;BA.debugLine="CreateHomePage";
_createhomepage();
 //BA.debugLineNum = 74;BA.debugLine="End Sub";
return "";
}
public static String  _bar_tabchanged(int _index,anywheresoftware.b4a.objects.StdActionBar.TabWrapper _stab) throws Exception{
 //BA.debugLineNum = 140;BA.debugLine="Sub bar_TabChanged(Index As Int, STab As StdTab)";
 //BA.debugLineNum = 141;BA.debugLine="If vp.currentPage <> Index Then";
if (mostCurrent._vp.getCurrentPage()!=_index) { 
 //BA.debugLineNum = 142;BA.debugLine="vp.ScrollTo(Index, False)";
mostCurrent._vp.ScrollTo(_index,anywheresoftware.b4a.keywords.Common.False);
 };
 //BA.debugLineNum = 144;BA.debugLine="End Sub";
return "";
}
public static int  _calculateheight(boolean _tabsmode,boolean _splitenabled) throws Exception{
int _fix = 0;
 //BA.debugLineNum = 123;BA.debugLine="Sub CalculateHeight (TabsMode As Boolean, SplitEnabled As Boolean) As Int";
 //BA.debugLineNum = 124;BA.debugLine="If 100%x >= 480dip Then";
if (anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA)>=anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (480))) { 
 //BA.debugLineNum = 125;BA.debugLine="Return 100%y";
if (true) return anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA);
 }else {
 //BA.debugLineNum = 127;BA.debugLine="Dim fix As Int";
_fix = 0;
 //BA.debugLineNum = 128;BA.debugLine="If TabsMode Then fix = 48dip";
if (_tabsmode) { 
_fix = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (48));};
 //BA.debugLineNum = 129;BA.debugLine="If SplitEnabled Then fix = fix + 48dip";
if (_splitenabled) { 
_fix = (int) (_fix+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (48)));};
 //BA.debugLineNum = 130;BA.debugLine="Return 100%y - fix";
if (true) return (int) (anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA)-_fix);
 };
 //BA.debugLineNum = 132;BA.debugLine="End Sub";
return 0;
}
public static String  _clienti_click() throws Exception{
 //BA.debugLineNum = 77;BA.debugLine="Sub Clienti_Click";
 //BA.debugLineNum = 79;BA.debugLine="pnlHome.Visible	= False";
mostCurrent._pnlhome.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 81;BA.debugLine="CreaLayoutOrdiniClienti";
_crealayoutordiniclienti();
 //BA.debugLineNum = 83;BA.debugLine="End Sub";
return "";
}
public static String  _crealayoutordiniclienti() throws Exception{
int _height = 0;
 //BA.debugLineNum = 155;BA.debugLine="Sub CreaLayoutOrdiniClienti";
 //BA.debugLineNum = 156;BA.debugLine="Dim height As Int = CalculateHeight(True, True)";
_height = _calculateheight(anywheresoftware.b4a.keywords.Common.True,anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 159;BA.debugLine="vp.Initialize(\"vp\", 3, 100%x, height)";
mostCurrent._vp.Initialize(mostCurrent.activityBA,"vp",(int) (3),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),_height);
 //BA.debugLineNum = 160;BA.debugLine="Activity.AddView(vp.AsView, 0, 0, 100%x, height)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._vp.AsView().getObject()),(int) (0),(int) (0),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),_height);
 //BA.debugLineNum = 164;BA.debugLine="vp.Panels(0).LoadLayout(\"0\")";
mostCurrent._vp.Panels[(int) (0)].LoadLayout("0",mostCurrent.activityBA);
 //BA.debugLineNum = 165;BA.debugLine="vp.Panels(1).LoadLayout(\"1\")";
mostCurrent._vp.Panels[(int) (1)].LoadLayout("1",mostCurrent.activityBA);
 //BA.debugLineNum = 166;BA.debugLine="vp.Panels(2).LoadLayout(\"2\")";
mostCurrent._vp.Panels[(int) (2)].LoadLayout("2",mostCurrent.activityBA);
 //BA.debugLineNum = 168;BA.debugLine="bar.Initialize(\"bar\")";
mostCurrent._bar.Initialize("bar",mostCurrent.activityBA);
 //BA.debugLineNum = 169;BA.debugLine="bar.Icon = LoadBitmap(File.DirAssets, \"ic_action_user.png\")";
mostCurrent._bar.setIcon((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"ic_action_user.png").getObject()));
 //BA.debugLineNum = 170;BA.debugLine="bar.NavigationMode = bar.NAVIGATION_MODE_TABS";
mostCurrent._bar.setNavigationMode(mostCurrent._bar.NAVIGATION_MODE_TABS);
 //BA.debugLineNum = 173;BA.debugLine="bar.AddTab(\"Ordine\")";
mostCurrent._bar.AddTab("Ordine");
 //BA.debugLineNum = 174;BA.debugLine="bar.AddTab(\"Righe\")";
mostCurrent._bar.AddTab("Righe");
 //BA.debugLineNum = 175;BA.debugLine="bar.AddTab(\"Riepilogo\")";
mostCurrent._bar.AddTab("Riepilogo");
 //BA.debugLineNum = 178;BA.debugLine="bar.ShowUpIndicator = True";
mostCurrent._bar.setShowUpIndicator(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 179;BA.debugLine="bar.SelectedIndex = currentPage";
mostCurrent._bar.setSelectedIndex(_currentpage);
 //BA.debugLineNum = 182;BA.debugLine="Activity.Title = \"Gestione Ordini\"";
mostCurrent._activity.setTitle((Object)("Gestione Ordini"));
 //BA.debugLineNum = 183;BA.debugLine="bar.Subtitle = \"Clienti\"";
mostCurrent._bar.setSubtitle((java.lang.CharSequence)("Clienti"));
 //BA.debugLineNum = 186;BA.debugLine="Activity.AddMenuItem3(\"\", \"mnuEdit\", LoadBitmap(File.DirAssets, \"ic_action_edit.png\"), True)";
mostCurrent._activity.AddMenuItem3("","mnuEdit",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"ic_action_edit.png").getObject()),anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 187;BA.debugLine="Activity.AddMenuItem3(\"\", \"mnuNew\", LoadBitmap(File.DirAssets, \"ic_action_new.png\"), True)";
mostCurrent._activity.AddMenuItem3("","mnuNew",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"ic_action_new.png").getObject()),anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 188;BA.debugLine="Activity.AddMenuItem3(\"\", \"mnuUndo\", LoadBitmap(File.DirAssets, \"ic_action_undo.png\"), True)";
mostCurrent._activity.AddMenuItem3("","mnuUndo",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"ic_action_undo.png").getObject()),anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 189;BA.debugLine="End Sub";
return "";
}
public static String  _createhomepage() throws Exception{
int _height = 0;
 //BA.debugLineNum = 85;BA.debugLine="Sub CreateHomePage";
 //BA.debugLineNum = 86;BA.debugLine="Dim height As Int = CalculateHeight(True, True)";
_height = _calculateheight(anywheresoftware.b4a.keywords.Common.True,anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 100;BA.debugLine="pnlHome.Initialize(\"\")											' Initializes pnlPage1";
mostCurrent._pnlhome.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 101;BA.debugLine="pnlHome.LoadLayout(\"homepage\")								' Loads \"Page1\" layout file";
mostCurrent._pnlhome.LoadLayout("homepage",mostCurrent.activityBA);
 //BA.debugLineNum = 102;BA.debugLine="Activity.AddView(pnlHome,0,0,100%x,height)	' Adds pnlPage1";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._pnlhome.getObject()),(int) (0),(int) (0),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),_height);
 //BA.debugLineNum = 103;BA.debugLine="pnlHome.Visible=True";
mostCurrent._pnlhome.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 106;BA.debugLine="bar.Initialize(\"bar\")";
mostCurrent._bar.Initialize("bar",mostCurrent.activityBA);
 //BA.debugLineNum = 107;BA.debugLine="bar.Icon 			= LoadBitmap(File.DirAssets, \"meta_piccolo.png\")";
mostCurrent._bar.setIcon((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"meta_piccolo.png").getObject()));
 //BA.debugLineNum = 108;BA.debugLine="bar.NavigationMode 	= bar.NAVIGATION_MODE_TABS";
mostCurrent._bar.setNavigationMode(mostCurrent._bar.NAVIGATION_MODE_TABS);
 //BA.debugLineNum = 113;BA.debugLine="bar.Subtitle = \"         for Android\"";
mostCurrent._bar.setSubtitle((java.lang.CharSequence)("         for Android"));
 //BA.debugLineNum = 120;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static String  _globals() throws Exception{
 //BA.debugLineNum = 19;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 20;BA.debugLine="Private bar As StdActionBar";
mostCurrent._bar = new anywheresoftware.b4a.objects.StdActionBar();
 //BA.debugLineNum = 21;BA.debugLine="Private vp As StdViewPager";
mostCurrent._vp = new anywheresoftware.b4a.objects.StdActionBar.StdViewPager();
 //BA.debugLineNum = 22;BA.debugLine="Dim pnlHome As Panel";
mostCurrent._pnlhome = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 23;BA.debugLine="Private ListaFunzionalita As ListView";
mostCurrent._listafunzionalita = new anywheresoftware.b4a.objects.ListViewWrapper();
 //BA.debugLineNum = 24;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 15;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 16;BA.debugLine="Private currentPage As Int";
_currentpage = 0;
 //BA.debugLineNum = 17;BA.debugLine="End Sub";
return "";
}
public static String  _vp_pageselected(int _position) throws Exception{
 //BA.debugLineNum = 133;BA.debugLine="Sub VP_PageSelected (Position As Int)";
 //BA.debugLineNum = 134;BA.debugLine="If bar.SelectedIndex <> Position Then bar.SelectedIndex = Position";
if (mostCurrent._bar.getSelectedIndex()!=_position) { 
mostCurrent._bar.setSelectedIndex(_position);};
 //BA.debugLineNum = 138;BA.debugLine="End Sub";
return "";
}
}
